> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a statutory

> Retrieve a single statutory by its ID.



## OpenAPI

````yaml /openapi-specs/Pagga-MealVoucher.yaml get /mealvoucher/api/statutories/{statutoryId}
openapi: 3.1.0
info:
  title: Lucca-MealVoucher
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca MealVoucher API.


    Lucca MealVouchers is an online service that calculates the number of meal
    vouchers to be distributed to employees each month.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Statutory
    description: The object containing all settings.
  - name: Computation
    description: >-
      The result of calculating the number of meal-vouchers to give each
      employee over a month.
  - name: Distributions
    description: The representation of a distribution of meal-vouchers to employees.
paths:
  /mealvoucher/api/statutories/{statutoryId}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/statutoryId'
    get:
      tags:
        - Statutory
      summary: Retrieve a statutory
      description: Retrieve a single statutory by its ID.
      operationId: get-statutory
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Statutory'
                  - examples:
                      - id: 8310b1ad-7145-4dfa-a980-89418f43957f
                        name: Lucca Brest
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    statutoryId:
      name: statutoryId
      in: path
      schema:
        type: string
        format: uuid
      required: true
      description: Unique identifier of the statutory
  schemas:
    Statutory:
      type: object
      examples:
        - id: 8310b1ad-7145-4dfa-a980-89418f43957f
          name: Lucca Brest
      properties:
        id:
          type: string
          description: Unique Identifier of the statutory
          format: uuid
        name:
          type: string
          minLength: 1
          description: Name of the statutory
      title: The Statutory ressource

````